<!doctype html>
<html lang="en">
<head>  
  <title>[LitElement]</title>
  <meta name="description" content="">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta charset="utf-8">
  
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
  <meta http-equiv="Pragma" content="no-cache" />
  <meta http-equiv="Expires" content="0" />

</head>
  <body class="intro fonts">  
    <main-application></main-application>  
  </body>
  
  <!-- polyfill (FireFox)-->
  <script src="./js/adoptedStyleSheets.js"></script>

  <script src="./js/puck.js"></script>
  
  <script type="module">
    //import {} from '/components/main-application.js'

    import { css, unsafeCSS } from './js/lit-element.js'

    let styleSheetPromise = (cssPath, variableName) => fetch(cssPath)
      .then(response => response.text())
      .then(cssRaw => {
        let cssResult = css`${unsafeCSS(cssRaw)}`
        window[variableName] = cssResult
        return cssResult.styleSheet // #1
      })
      .catch(error => console.log(`😡 [${variableName}]`, error))
      .catch(error => console.log(`😡 [${variableName}]`, error))
    
    // je charge toutes les feuilles dont j'ai besoin
    Promise.all([
        styleSheetPromise("/css/picnic.min.css", "picnicCss")
      , styleSheetPromise("/css/fine-tuning.css", "fineTuningCss")
    ])
    .then(styleSheets => { // #2 tableau de styleSheets
      document.adoptedStyleSheets = styleSheets // #3 j'applique au body
      import(`/components/main-application.js`)
    })


  </script>
</html>